// ====================================================================
// (C) 2002, Epic Games
// ====================================================================

class MyTestPage extends GUIPage;

#exec OBJ LOAD FILE=GUIContent.utx

var Automated GUITitleBar TabHeader;
var Automated GUITabControl TabC;
var Automated GUITitleBar TabFooter;
var Automated GUIButton BackButton;

function InitComponent(GUIController MyController, GUIComponent MyOwner)
{

	Super.Initcomponent(MyController, MyOwner);

	TabHeader.DockedTabs = TabC;
    TabC.AddTab("Component Test","GUI.MyTestPanelA",,"Test of many non-list components");
    TabC.AddTab("List Tests","GUI.MyTestPanelB",,"Test of list components");
    TabC.AddTab("Splitter","GUI.MyTestPanelC",,"Test of the Splitter component");

}

event Closed(GUIComponent Sender, bool bCancelled)
{
	Super.Closed(Sender,bCancelled);
    Controller.MouseEmulation(false);
}

function TabChange(GUIComponent Sender)
{
	if (GUITabButton(Sender)==none)
		return;

	TabHeader.Caption = "Testing : "$GUITabButton(Sender).Caption;
}

event ChangeHint(string NewHint)
{
	TabFooter.Caption = NewHint;
}


function bool ButtonClicked(GUIComponent Sender)
{
	Controller.CloseMenu(true);
	return true;
}

event NotifyLevelChange()
{
	Controller.CloseMenu(true);
}

defaultproperties
{
	Begin Object class=GUITitleBar name=MyHeader
		Caption="Settings"
		StyleName="Header"
		WinWidth=1.000000
		WinHeight=36.000000
		WinLeft=0.000000
		WinTop=0.005414
		Effect=Material'GUIContent.BorderBoxF'
	End Object

	Begin Object Class=GUITabControl Name=MyTabs
		WinWidth=1.0
		WinLeft=0
		WinTop=0.25
		WinHeight=48
		TabHeight=0.04
		OnChange=TabChange;
		bAcceptsInput=true
		bDockPanels=true
	End Object

	Begin Object class=GUITitleBar name=MyFooter
		WinWidth=0.880000
		WinHeight=0.055000
		WinLeft=0.120000
		WinTop=0.942397
		bUseTextHeight=false
		StyleName="Footer"
		Justification=TXTA_Center
	End Object

	Begin Object Class=GUIButton Name=MyBackButton
		Caption="BACK"
		StyleName="SquareMenuButton"
		Hint="Return to Previous Menu"
		WinWidth=0.12
		WinHeight=0.055
		WinLeft=0
		WinTop=0.942397
		OnClick=ButtonClicked
	End Object

	TabHeader=MyHeader
	TabC=MyTabs
	TabFooter=MyFooter
	BackButton=MyBackButton

	Background=Material'GUIContent.EpicLogo'
	WinWidth=1.0
	WinHeight=1.0
	WinTop=0.0
	WinLeft=0.0

}